m.Parking.Parking(3)

NAME
m.Parking.Parking - Representation d'un parking de DreamPark.

SYNOPSIS

  Public Member Functions
def __init__
Constructeur du Parking.
def id (self)
Propriete : id du parking.
def nom (self)
propriete : nom du parking
def nbPlaces (self)
propriete : nombre de Place du parking
def nbPlacesLibresParking (self)
propriete : nombre de Place libres du paking
def nbSuperAbo (self)
propriete : nombre de Place super abo
def recherchePlace (self, voiture)
Recherche une place pour une voiture.
def addPlaceSuperAbo (self, parking)
Ajout d'une place surmesure pour super abo.
def __str__ (self)
Representation du parking en chaine.

  Static Public Member Functions
def get (id)
Retourne un objet parking correspondant à id.
def getAllActif ()
Retourne tout les parking actif present dans la bd.
def remove (parking)
Supprime un parking.
def removeAllRam ()
Supprime les parkings present dans la mémoire vive (pas dans la bd)

  Static Public Attributes
list parkings = []

Detailed Description

Representation d'un parking de DreamPark.

Constructor & Destructor Documentation

  def m.Parking.Parking.__init__ ( self, id, nom = None, listeTypePlace = None)

Constructeur du Parking.

Parameters:
    id Si None : Creer un parking dans la BD Sinon : tentative de récupération du parking avec cet id dans la bd
    nom : Si creation nom du parking
    listeTypePlace : Si creation Liste des TypePlace du parking

Member Function Documentation

  def m.Parking.Parking.addPlaceSuperAbo ( self, parking)

Ajout d'une place surmesure pour super abo.

Parameters:
    parking le parking ou il faut ajouter la place

  def m.Parking.Parking.get ( id) [static]

Retourne un objet parking correspondant à id.

Parameters:
    id id u parking a retourner

  def m.Parking.Parking.recherchePlace ( self, voiture)

Recherche une place pour une voiture.

Parameters:
    voiture voiture pour laquel on recherche la place

Returns:
    Place Si touvé : Place sinon : None

  def m.Parking.Parking.remove ( parking) [static]

Supprime un parking.

Parameters:
    parking L'objet parking a supprimer

Author

Generated automatically by Doxygen for Dream Park from the source code.